<?php
// prepare connection
$dsn = 'mysql:host=localhost;port=3306;dbname=dbname';
$username = 'dbuser';
$password = 'password';
$options = array(
    PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES 'utf8mb4'",
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_OBJ,
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION
);

try {
    $pdo = new PDO($dsn, $username, $password, $options);
} catch (PDOException $e) {
    echo $e->getMessage();
    die();
}

// Query data of current id
$id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_NUMBER_INT);
if ($id <= 0) {
    echo 'Debe seleccionar un usuario valido';
    die();
}

// update data
$action = $_GET['action'];
if ($action == 'update') {
    $name = filter_input(INPUT_POST, 'name', FILTER_SANITIZE_STRING);
    $email = filter_input(INPUT_POST, 'email', FILTER_SANITIZE_EMAIL);
    $phone = filter_input(INPUT_POST, 'phone', FILTER_SANITIZE_NUMBER_INT);
    try {
        $stmt = $pdo->prepare("UPDATE users SET name=:name, email=:email, phone=:phone WHERE id=:id");
        $stmt->bindParam('name', $name);
        $stmt->bindParam('email', $email);
        $stmt->bindParam('phone',  $phone);
        $stmt->bindParam('id',  $id, PDO::PARAM_INT);
        $stmt->execute();

        echo "Datos actualizados correctamente";
    } catch (PDOException $e) {
        echo "Error al actualizar: " . $e->getMessage();
    }
}

// query data
$stmt = $pdo->prepare("SELECT * FROM users WHERE id = :id");
$stmt->bindParam('id',  $id, PDO::PARAM_INT);
$stmt->execute();
$user = $stmt->fetch();

if (!$user) {
    echo 'Usuario no encontrado';
    die();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Register MySQL</title>
</head>
<body>

<section>
    <div class="content">
        <h3>Actualizar de datos</h3>

        <form name="actualizar" method="post" action="update.php?action=update&id=<?php echo $user->id; ?>">
            Nombre: <input type="text" name="name" placeholder="Nombres" value="<?php echo $user->name; ?>" /><br>
            Email: <input type="text" name="email" placeholder="Correo electrónico" value="<?php echo $user->email; ?>" /><br>
            Teléfono: <input type="text" name="phone" placeholder="Teléfono" value="<?php echo $user->phone; ?>" /><br>
            <button type="submit">Enviar</button>
        </form>
    </div>
</section>
</body>
</html>